package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*逆向表
* @author quyixiao
* @since 2025-12-04
*/

@Data
@TableName("vv_reverse_order")
public class VvReverseOrderEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvReverseOrderEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                        // 修改时间
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                                  // 订单号
    public final static String status_ = CLASS_NAME + "status";                                                 // 订单取消:cancel,买家申请仅退款，等待卖家同意:buyer_apply_refund_wait_seller_agree，买家申请退货退款:buyer_apply_return_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已投递:shipped,拒绝签收:reject_sign_receipt,同意签收： agree_sign_receipt,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close，拒绝退货：reject_return
    public final static String refund_amount = CLASS_NAME + "refund_amount";                                    // 退款金额
    public final static String refund_trade_order_line_count = CLASS_NAME + "refund_trade_order_line_count";    // 退款子单笔数
    public final static String refund_type = CLASS_NAME + "refund_type";                                        // 退款类型，1 仅退款， 2 退款退货
    public final static String track_number = CLASS_NAME + "track_number";                                      // 物流追踪号
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                              // 创建时间撮
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                              // 修改时间撮
    public final static String refund_count = CLASS_NAME + "refund_count";                                      // 退款子单数量
    public final static String refund_reason = CLASS_NAME + "refund_reason";                                    // 退款原因
    public final static String weixin_funds_account = CLASS_NAME + "weixin_funds_account";                      // 退款账户
    public final static String weixin_refund_id = CLASS_NAME + "weixin_refund_id";                              // 退款id
    public final static String weixin_status = CLASS_NAME + "weixin_status";                                    // 退款状态 
    public final static String weixin_transaction_id = CLASS_NAME + "weixin_transaction_id";                    // 退款事务id
    public final static String user_eceived_account = CLASS_NAME + "user_eceived_account";                      // 退款接收事务id
    public final static String pre_refund_info = CLASS_NAME + "pre_refund_info";                                // 提交退款返回的参数
    public final static String gmt_pre_refund = CLASS_NAME + "gmt_pre_refund";                                  // 日期
    public final static String gmt_refund_notify = CLASS_NAME + "gmt_refund_notify";                            // 回调的时间
    public final static String gmt_cancel = CLASS_NAME + "gmt_cancel";                                          // 订单取消时间
    public final static String gmt_close = CLASS_NAME + "gmt_close";                                            // 退款关闭时间
    public final static String gmt_refunded = CLASS_NAME + "gmt_refunded";                                      // 退款完成时间
    public final static String gmt_agree_refund = CLASS_NAME + "gmt_agree_refund";                              // 同意退款时间
    public final static String gmt_shipped = CLASS_NAME + "gmt_shipped";                                        // 妥投时间
    public final static String gmt_buyer_post = CLASS_NAME + "gmt_buyer_post";                                  // 买家邮寄时间
    public final static String gmt_seller_agree_return = CLASS_NAME + "gmt_seller_agree_return";                // 卖家同意退款
    public final static String gmt_buyer_apply_refund = CLASS_NAME + "gmt_buyer_apply_refund";                  // 买家申请退款时间
    public final static String pre_refund_user = CLASS_NAME + "pre_refund_user";                                // 提交给微信退款的卖家
    public final static String cancel_user = CLASS_NAME + "cancel_user";                                        // 逆向订单取消的卖家
    public final static String close_user = CLASS_NAME + "close_user";                                          // 逆向订单关闭的卖家
    public final static String refunded_user = CLASS_NAME + "refunded_user";                                    // 退款完成的操作卖家
    public final static String agree_refund_user = CLASS_NAME + "agree_refund_user";                            // 同意退款的卖家
    public final static String shipped_user = CLASS_NAME + "shipped_user";                                      // 同意妥投的买家 
    public final static String buyer_post_user = CLASS_NAME + "buyer_post_user";                                // 邮寄的买家
    public final static String seller_agree_return_user = CLASS_NAME + "seller_agree_return_user";              // 同意退货退款的卖家
    public final static String buyer_apply_refund_user = CLASS_NAME + "buyer_apply_refund_user";                // 买家申请退款的买家
    public final static String close_reason = CLASS_NAME + "close_reason";                                      // 订单关闭原因
    public final static String gmt_reject_sign_receipt = CLASS_NAME + "gmt_reject_sign_receipt";                // 拒绝签收时间
    public final static String reject_sign_receipt_user = CLASS_NAME + "reject_sign_receipt_user";              // 拒绝签收用户
    public final static String reject_sign_receipt_reason = CLASS_NAME + "reject_sign_receipt_reason";          // 拒绝签收原因
    public final static String gmt_qa_check_finished = CLASS_NAME + "gmt_qa_check_finished";                    // 质检完成时间
    public final static String qa_check_finished_user = CLASS_NAME + "qa_check_finished_user";                  // 质检完成用户
    public final static String qa_check_finished_comment = CLASS_NAME + "qa_check_finished_comment";            // 质检完成评论
    public final static String gmt_reject_refund = CLASS_NAME + "gmt_reject_refund";                            // 拒绝退款时间
    public final static String reject_refund_user = CLASS_NAME + "reject_refund_user";                          // 拒绝退款用户
    public final static String reject_refund_reason = CLASS_NAME + "reject_refund_reason";                      // 拒绝退款原因
    public final static String gmt_reject_return = CLASS_NAME + "gmt_reject_return";                            // 拒绝退回
    public final static String reject_return_user = CLASS_NAME + "reject_return_user";                          // 拒绝退回用户
    public final static String reject_return_reason = CLASS_NAME + "reject_return_reason";                      // 拒绝退回原因
    public final static String gmt_agree_sign_receipt = CLASS_NAME + "gmt_agree_sign_receipt";                  // 同意签收时间
    public final static String agree_sign_receipt_user = CLASS_NAME + "agree_sign_receipt_user";                // 同意签收用户
    public final static String return_seller_id = CLASS_NAME + "return_seller_id";                              // 退回到哪个卖家id
    public final static String return_seller_warehouse_id = CLASS_NAME + "return_seller_warehouse_id";          // 退回到卖家仓库id
    public final static String out_refund_no = CLASS_NAME + "out_refund_no";                                    // 退款编号
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //订单号
    private Long tradeOrderId;
    //订单取消:cancel,买家申请仅退款，等待卖家同意:buyer_apply_refund_wait_seller_agree，买家申请退货退款:buyer_apply_return_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已投递:shipped,拒绝签收:reject_sign_receipt,同意签收： agree_sign_receipt,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close，拒绝退货：reject_return
    private String status;
    //退款金额
    private BigDecimal refundAmount;
    //退款子单笔数
    private Integer refundTradeOrderLineCount;
    //退款类型，1 仅退款， 2 退款退货
    private Integer refundType;
    //物流追踪号
    private String trackNumber;
    //创建时间撮
    private Long createTimestamp;
    //修改时间撮
    private Long modifyTimestamp;
    //退款子单数量
    private Integer refundCount;
    //退款原因
    private String refundReason;
    //退款账户
    private String weixinFundsAccount;
    //退款id
    private String weixinRefundId;
    //退款状态 
    private String weixinStatus;
    //退款事务id
    private String weixinTransactionId;
    //退款接收事务id
    private String userEceivedAccount;
    //提交退款返回的参数
    private String preRefundInfo;
    //日期
    private Date gmtPreRefund;
    //回调的时间
    private Date gmtRefundNotify;
    //订单取消时间
    private Date gmtCancel;
    //退款关闭时间
    private Date gmtClose;
    //退款完成时间
    private Date gmtRefunded;
    //同意退款时间
    private Date gmtAgreeRefund;
    //妥投时间
    private Date gmtShipped;
    //买家邮寄时间
    private Date gmtBuyerPost;
    //卖家同意退款
    private Date gmtSellerAgreeReturn;
    //买家申请退款时间
    private Date gmtBuyerApplyRefund;
    //提交给微信退款的卖家
    private String preRefundUser;
    //逆向订单取消的卖家
    private String cancelUser;
    //逆向订单关闭的卖家
    private String closeUser;
    //退款完成的操作卖家
    private String refundedUser;
    //同意退款的卖家
    private String agreeRefundUser;
    //同意妥投的买家 
    private String shippedUser;
    //邮寄的买家
    private String buyerPostUser;
    //同意退货退款的卖家
    private String sellerAgreeReturnUser;
    //买家申请退款的买家
    private String buyerApplyRefundUser;
    //订单关闭原因
    private String closeReason;
    //拒绝签收时间
    private Date gmtRejectSignReceipt;
    //拒绝签收用户
    private String rejectSignReceiptUser;
    //拒绝签收原因
    private String rejectSignReceiptReason;
    //质检完成时间
    private Date gmtQaCheckFinished;
    //质检完成用户
    private String qaCheckFinishedUser;
    //质检完成评论
    private String qaCheckFinishedComment;
    //拒绝退款时间
    private Date gmtRejectRefund;
    //拒绝退款用户
    private String rejectRefundUser;
    //拒绝退款原因
    private String rejectRefundReason;
    //拒绝退回
    private Date gmtRejectReturn;
    //拒绝退回用户
    private String rejectReturnUser;
    //拒绝退回原因
    private String rejectReturnReason;
    //同意签收时间
    private Date gmtAgreeSignReceipt;
    //同意签收用户
    private String agreeSignReceiptUser;
    //退回到哪个卖家id
    private Long returnSellerId;
    //退回到卖家仓库id
    private Long returnSellerWarehouseId;
    //退款编号
    private String outRefundNo;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 订单号 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单号 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 订单取消:cancel,买家申请仅退款，等待卖家同意:buyer_apply_refund_wait_seller_agree，买家申请退货退款:buyer_apply_return_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已投递:shipped,拒绝签收:reject_sign_receipt,同意签收： agree_sign_receipt,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close，拒绝退货：reject_return 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 订单取消:cancel,买家申请仅退款，等待卖家同意:buyer_apply_refund_wait_seller_agree，买家申请退货退款:buyer_apply_return_wait_seller_agree,卖家同意退货，买家邮寄:seller_agree_return_wait_buyer_post,运送中:shipping,已投递:shipped,拒绝签收:reject_sign_receipt,同意签收： agree_sign_receipt,质检完成:qa_check_finished,同意退款:agree_refund,拒绝退款:reject_refund,微信退款中:weixin_refunding,退款完成:refunded,退款关闭:close，拒绝退货：reject_return 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 退款子单笔数 
     * @return
     */
    public Integer getRefundTradeOrderLineCount() {
        return refundTradeOrderLineCount;
    }
    /**
     * 退款子单笔数 
     * @param refundTradeOrderLineCount
     */
    public void setRefundTradeOrderLineCount(Integer refundTradeOrderLineCount) {
        this.refundTradeOrderLineCount = refundTradeOrderLineCount;
    }

    /**
     * 退款类型，1 仅退款， 2 退款退货 
     * @return
     */
    public Integer getRefundType() {
        return refundType;
    }
    /**
     * 退款类型，1 仅退款， 2 退款退货 
     * @param refundType
     */
    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    /**
     * 物流追踪号 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 物流追踪号 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 创建时间撮 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间撮 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间撮 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间撮 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 退款子单数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退款子单数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 退款原因 
     * @return
     */
    public String getRefundReason() {
        return refundReason;
    }
    /**
     * 退款原因 
     * @param refundReason
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    /**
     * 退款账户 
     * @return
     */
    public String getWeixinFundsAccount() {
        return weixinFundsAccount;
    }
    /**
     * 退款账户 
     * @param weixinFundsAccount
     */
    public void setWeixinFundsAccount(String weixinFundsAccount) {
        this.weixinFundsAccount = weixinFundsAccount;
    }

    /**
     * 退款id 
     * @return
     */
    public String getWeixinRefundId() {
        return weixinRefundId;
    }
    /**
     * 退款id 
     * @param weixinRefundId
     */
    public void setWeixinRefundId(String weixinRefundId) {
        this.weixinRefundId = weixinRefundId;
    }

    /**
     * 退款状态  
     * @return
     */
    public String getWeixinStatus() {
        return weixinStatus;
    }
    /**
     * 退款状态  
     * @param weixinStatus
     */
    public void setWeixinStatus(String weixinStatus) {
        this.weixinStatus = weixinStatus;
    }

    /**
     * 退款事务id 
     * @return
     */
    public String getWeixinTransactionId() {
        return weixinTransactionId;
    }
    /**
     * 退款事务id 
     * @param weixinTransactionId
     */
    public void setWeixinTransactionId(String weixinTransactionId) {
        this.weixinTransactionId = weixinTransactionId;
    }

    /**
     * 退款接收事务id 
     * @return
     */
    public String getUserEceivedAccount() {
        return userEceivedAccount;
    }
    /**
     * 退款接收事务id 
     * @param userEceivedAccount
     */
    public void setUserEceivedAccount(String userEceivedAccount) {
        this.userEceivedAccount = userEceivedAccount;
    }

    /**
     * 提交退款返回的参数 
     * @return
     */
    public String getPreRefundInfo() {
        return preRefundInfo;
    }
    /**
     * 提交退款返回的参数 
     * @param preRefundInfo
     */
    public void setPreRefundInfo(String preRefundInfo) {
        this.preRefundInfo = preRefundInfo;
    }

    /**
     * 日期 
     * @return
     */
    public Date getGmtPreRefund() {
        return gmtPreRefund;
    }
    /**
     * 日期 
     * @param gmtPreRefund
     */
    public void setGmtPreRefund(Date gmtPreRefund) {
        this.gmtPreRefund = gmtPreRefund;
    }

    /**
     * 回调的时间 
     * @return
     */
    public Date getGmtRefundNotify() {
        return gmtRefundNotify;
    }
    /**
     * 回调的时间 
     * @param gmtRefundNotify
     */
    public void setGmtRefundNotify(Date gmtRefundNotify) {
        this.gmtRefundNotify = gmtRefundNotify;
    }

    /**
     * 订单取消时间 
     * @return
     */
    public Date getGmtCancel() {
        return gmtCancel;
    }
    /**
     * 订单取消时间 
     * @param gmtCancel
     */
    public void setGmtCancel(Date gmtCancel) {
        this.gmtCancel = gmtCancel;
    }

    /**
     * 退款关闭时间 
     * @return
     */
    public Date getGmtClose() {
        return gmtClose;
    }
    /**
     * 退款关闭时间 
     * @param gmtClose
     */
    public void setGmtClose(Date gmtClose) {
        this.gmtClose = gmtClose;
    }

    /**
     * 退款完成时间 
     * @return
     */
    public Date getGmtRefunded() {
        return gmtRefunded;
    }
    /**
     * 退款完成时间 
     * @param gmtRefunded
     */
    public void setGmtRefunded(Date gmtRefunded) {
        this.gmtRefunded = gmtRefunded;
    }

    /**
     * 同意退款时间 
     * @return
     */
    public Date getGmtAgreeRefund() {
        return gmtAgreeRefund;
    }
    /**
     * 同意退款时间 
     * @param gmtAgreeRefund
     */
    public void setGmtAgreeRefund(Date gmtAgreeRefund) {
        this.gmtAgreeRefund = gmtAgreeRefund;
    }

    /**
     * 妥投时间 
     * @return
     */
    public Date getGmtShipped() {
        return gmtShipped;
    }
    /**
     * 妥投时间 
     * @param gmtShipped
     */
    public void setGmtShipped(Date gmtShipped) {
        this.gmtShipped = gmtShipped;
    }

    /**
     * 买家邮寄时间 
     * @return
     */
    public Date getGmtBuyerPost() {
        return gmtBuyerPost;
    }
    /**
     * 买家邮寄时间 
     * @param gmtBuyerPost
     */
    public void setGmtBuyerPost(Date gmtBuyerPost) {
        this.gmtBuyerPost = gmtBuyerPost;
    }

    /**
     * 卖家同意退款 
     * @return
     */
    public Date getGmtSellerAgreeReturn() {
        return gmtSellerAgreeReturn;
    }
    /**
     * 卖家同意退款 
     * @param gmtSellerAgreeReturn
     */
    public void setGmtSellerAgreeReturn(Date gmtSellerAgreeReturn) {
        this.gmtSellerAgreeReturn = gmtSellerAgreeReturn;
    }

    /**
     * 买家申请退款时间 
     * @return
     */
    public Date getGmtBuyerApplyRefund() {
        return gmtBuyerApplyRefund;
    }
    /**
     * 买家申请退款时间 
     * @param gmtBuyerApplyRefund
     */
    public void setGmtBuyerApplyRefund(Date gmtBuyerApplyRefund) {
        this.gmtBuyerApplyRefund = gmtBuyerApplyRefund;
    }

    /**
     * 提交给微信退款的卖家 
     * @return
     */
    public String getPreRefundUser() {
        return preRefundUser;
    }
    /**
     * 提交给微信退款的卖家 
     * @param preRefundUser
     */
    public void setPreRefundUser(String preRefundUser) {
        this.preRefundUser = preRefundUser;
    }

    /**
     * 逆向订单取消的卖家 
     * @return
     */
    public String getCancelUser() {
        return cancelUser;
    }
    /**
     * 逆向订单取消的卖家 
     * @param cancelUser
     */
    public void setCancelUser(String cancelUser) {
        this.cancelUser = cancelUser;
    }

    /**
     * 逆向订单关闭的卖家 
     * @return
     */
    public String getCloseUser() {
        return closeUser;
    }
    /**
     * 逆向订单关闭的卖家 
     * @param closeUser
     */
    public void setCloseUser(String closeUser) {
        this.closeUser = closeUser;
    }

    /**
     * 退款完成的操作卖家 
     * @return
     */
    public String getRefundedUser() {
        return refundedUser;
    }
    /**
     * 退款完成的操作卖家 
     * @param refundedUser
     */
    public void setRefundedUser(String refundedUser) {
        this.refundedUser = refundedUser;
    }

    /**
     * 同意退款的卖家 
     * @return
     */
    public String getAgreeRefundUser() {
        return agreeRefundUser;
    }
    /**
     * 同意退款的卖家 
     * @param agreeRefundUser
     */
    public void setAgreeRefundUser(String agreeRefundUser) {
        this.agreeRefundUser = agreeRefundUser;
    }

    /**
     * 同意妥投的买家  
     * @return
     */
    public String getShippedUser() {
        return shippedUser;
    }
    /**
     * 同意妥投的买家  
     * @param shippedUser
     */
    public void setShippedUser(String shippedUser) {
        this.shippedUser = shippedUser;
    }

    /**
     * 邮寄的买家 
     * @return
     */
    public String getBuyerPostUser() {
        return buyerPostUser;
    }
    /**
     * 邮寄的买家 
     * @param buyerPostUser
     */
    public void setBuyerPostUser(String buyerPostUser) {
        this.buyerPostUser = buyerPostUser;
    }

    /**
     * 同意退货退款的卖家 
     * @return
     */
    public String getSellerAgreeReturnUser() {
        return sellerAgreeReturnUser;
    }
    /**
     * 同意退货退款的卖家 
     * @param sellerAgreeReturnUser
     */
    public void setSellerAgreeReturnUser(String sellerAgreeReturnUser) {
        this.sellerAgreeReturnUser = sellerAgreeReturnUser;
    }

    /**
     * 买家申请退款的买家 
     * @return
     */
    public String getBuyerApplyRefundUser() {
        return buyerApplyRefundUser;
    }
    /**
     * 买家申请退款的买家 
     * @param buyerApplyRefundUser
     */
    public void setBuyerApplyRefundUser(String buyerApplyRefundUser) {
        this.buyerApplyRefundUser = buyerApplyRefundUser;
    }

    /**
     * 订单关闭原因 
     * @return
     */
    public String getCloseReason() {
        return closeReason;
    }
    /**
     * 订单关闭原因 
     * @param closeReason
     */
    public void setCloseReason(String closeReason) {
        this.closeReason = closeReason;
    }

    /**
     * 拒绝签收时间 
     * @return
     */
    public Date getGmtRejectSignReceipt() {
        return gmtRejectSignReceipt;
    }
    /**
     * 拒绝签收时间 
     * @param gmtRejectSignReceipt
     */
    public void setGmtRejectSignReceipt(Date gmtRejectSignReceipt) {
        this.gmtRejectSignReceipt = gmtRejectSignReceipt;
    }

    /**
     * 拒绝签收用户 
     * @return
     */
    public String getRejectSignReceiptUser() {
        return rejectSignReceiptUser;
    }
    /**
     * 拒绝签收用户 
     * @param rejectSignReceiptUser
     */
    public void setRejectSignReceiptUser(String rejectSignReceiptUser) {
        this.rejectSignReceiptUser = rejectSignReceiptUser;
    }

    /**
     * 拒绝签收原因 
     * @return
     */
    public String getRejectSignReceiptReason() {
        return rejectSignReceiptReason;
    }
    /**
     * 拒绝签收原因 
     * @param rejectSignReceiptReason
     */
    public void setRejectSignReceiptReason(String rejectSignReceiptReason) {
        this.rejectSignReceiptReason = rejectSignReceiptReason;
    }

    /**
     * 质检完成时间 
     * @return
     */
    public Date getGmtQaCheckFinished() {
        return gmtQaCheckFinished;
    }
    /**
     * 质检完成时间 
     * @param gmtQaCheckFinished
     */
    public void setGmtQaCheckFinished(Date gmtQaCheckFinished) {
        this.gmtQaCheckFinished = gmtQaCheckFinished;
    }

    /**
     * 质检完成用户 
     * @return
     */
    public String getQaCheckFinishedUser() {
        return qaCheckFinishedUser;
    }
    /**
     * 质检完成用户 
     * @param qaCheckFinishedUser
     */
    public void setQaCheckFinishedUser(String qaCheckFinishedUser) {
        this.qaCheckFinishedUser = qaCheckFinishedUser;
    }

    /**
     * 质检完成评论 
     * @return
     */
    public String getQaCheckFinishedComment() {
        return qaCheckFinishedComment;
    }
    /**
     * 质检完成评论 
     * @param qaCheckFinishedComment
     */
    public void setQaCheckFinishedComment(String qaCheckFinishedComment) {
        this.qaCheckFinishedComment = qaCheckFinishedComment;
    }

    /**
     * 拒绝退款时间 
     * @return
     */
    public Date getGmtRejectRefund() {
        return gmtRejectRefund;
    }
    /**
     * 拒绝退款时间 
     * @param gmtRejectRefund
     */
    public void setGmtRejectRefund(Date gmtRejectRefund) {
        this.gmtRejectRefund = gmtRejectRefund;
    }

    /**
     * 拒绝退款用户 
     * @return
     */
    public String getRejectRefundUser() {
        return rejectRefundUser;
    }
    /**
     * 拒绝退款用户 
     * @param rejectRefundUser
     */
    public void setRejectRefundUser(String rejectRefundUser) {
        this.rejectRefundUser = rejectRefundUser;
    }

    /**
     * 拒绝退款原因 
     * @return
     */
    public String getRejectRefundReason() {
        return rejectRefundReason;
    }
    /**
     * 拒绝退款原因 
     * @param rejectRefundReason
     */
    public void setRejectRefundReason(String rejectRefundReason) {
        this.rejectRefundReason = rejectRefundReason;
    }

    /**
     * 拒绝退回 
     * @return
     */
    public Date getGmtRejectReturn() {
        return gmtRejectReturn;
    }
    /**
     * 拒绝退回 
     * @param gmtRejectReturn
     */
    public void setGmtRejectReturn(Date gmtRejectReturn) {
        this.gmtRejectReturn = gmtRejectReturn;
    }

    /**
     * 拒绝退回用户 
     * @return
     */
    public String getRejectReturnUser() {
        return rejectReturnUser;
    }
    /**
     * 拒绝退回用户 
     * @param rejectReturnUser
     */
    public void setRejectReturnUser(String rejectReturnUser) {
        this.rejectReturnUser = rejectReturnUser;
    }

    /**
     * 拒绝退回原因 
     * @return
     */
    public String getRejectReturnReason() {
        return rejectReturnReason;
    }
    /**
     * 拒绝退回原因 
     * @param rejectReturnReason
     */
    public void setRejectReturnReason(String rejectReturnReason) {
        this.rejectReturnReason = rejectReturnReason;
    }

    /**
     * 同意签收时间 
     * @return
     */
    public Date getGmtAgreeSignReceipt() {
        return gmtAgreeSignReceipt;
    }
    /**
     * 同意签收时间 
     * @param gmtAgreeSignReceipt
     */
    public void setGmtAgreeSignReceipt(Date gmtAgreeSignReceipt) {
        this.gmtAgreeSignReceipt = gmtAgreeSignReceipt;
    }

    /**
     * 同意签收用户 
     * @return
     */
    public String getAgreeSignReceiptUser() {
        return agreeSignReceiptUser;
    }
    /**
     * 同意签收用户 
     * @param agreeSignReceiptUser
     */
    public void setAgreeSignReceiptUser(String agreeSignReceiptUser) {
        this.agreeSignReceiptUser = agreeSignReceiptUser;
    }

    /**
     * 退回到哪个卖家id 
     * @return
     */
    public Long getReturnSellerId() {
        return returnSellerId;
    }
    /**
     * 退回到哪个卖家id 
     * @param returnSellerId
     */
    public void setReturnSellerId(Long returnSellerId) {
        this.returnSellerId = returnSellerId;
    }

    /**
     * 退回到卖家仓库id 
     * @return
     */
    public Long getReturnSellerWarehouseId() {
        return returnSellerWarehouseId;
    }
    /**
     * 退回到卖家仓库id 
     * @param returnSellerWarehouseId
     */
    public void setReturnSellerWarehouseId(Long returnSellerWarehouseId) {
        this.returnSellerWarehouseId = returnSellerWarehouseId;
    }

    /**
     * 退款编号 
     * @return
     */
    public String getOutRefundNo() {
        return outRefundNo;
    }
    /**
     * 退款编号 
     * @param outRefundNo
     */
    public void setOutRefundNo(String outRefundNo) {
        this.outRefundNo = outRefundNo;
    }

    @Override
    public String toString() {
        return "VvReverseOrderEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",tradeOrderId=" + tradeOrderId +
                ",status=" + status +
                ",refundAmount=" + refundAmount +
                ",refundTradeOrderLineCount=" + refundTradeOrderLineCount +
                ",refundType=" + refundType +
                ",trackNumber=" + trackNumber +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",refundCount=" + refundCount +
                ",refundReason=" + refundReason +
                ",weixinFundsAccount=" + weixinFundsAccount +
                ",weixinRefundId=" + weixinRefundId +
                ",weixinStatus=" + weixinStatus +
                ",weixinTransactionId=" + weixinTransactionId +
                ",userEceivedAccount=" + userEceivedAccount +
                ",preRefundInfo=" + preRefundInfo +
                ",gmtPreRefund=" + gmtPreRefund +
                ",gmtRefundNotify=" + gmtRefundNotify +
                ",gmtCancel=" + gmtCancel +
                ",gmtClose=" + gmtClose +
                ",gmtRefunded=" + gmtRefunded +
                ",gmtAgreeRefund=" + gmtAgreeRefund +
                ",gmtShipped=" + gmtShipped +
                ",gmtBuyerPost=" + gmtBuyerPost +
                ",gmtSellerAgreeReturn=" + gmtSellerAgreeReturn +
                ",gmtBuyerApplyRefund=" + gmtBuyerApplyRefund +
                ",preRefundUser=" + preRefundUser +
                ",cancelUser=" + cancelUser +
                ",closeUser=" + closeUser +
                ",refundedUser=" + refundedUser +
                ",agreeRefundUser=" + agreeRefundUser +
                ",shippedUser=" + shippedUser +
                ",buyerPostUser=" + buyerPostUser +
                ",sellerAgreeReturnUser=" + sellerAgreeReturnUser +
                ",buyerApplyRefundUser=" + buyerApplyRefundUser +
                ",closeReason=" + closeReason +
                ",gmtRejectSignReceipt=" + gmtRejectSignReceipt +
                ",rejectSignReceiptUser=" + rejectSignReceiptUser +
                ",rejectSignReceiptReason=" + rejectSignReceiptReason +
                ",gmtQaCheckFinished=" + gmtQaCheckFinished +
                ",qaCheckFinishedUser=" + qaCheckFinishedUser +
                ",qaCheckFinishedComment=" + qaCheckFinishedComment +
                ",gmtRejectRefund=" + gmtRejectRefund +
                ",rejectRefundUser=" + rejectRefundUser +
                ",rejectRefundReason=" + rejectRefundReason +
                ",gmtRejectReturn=" + gmtRejectReturn +
                ",rejectReturnUser=" + rejectReturnUser +
                ",rejectReturnReason=" + rejectReturnReason +
                ",gmtAgreeSignReceipt=" + gmtAgreeSignReceipt +
                ",agreeSignReceiptUser=" + agreeSignReceiptUser +
                ",returnSellerId=" + returnSellerId +
                ",returnSellerWarehouseId=" + returnSellerWarehouseId +
                ",outRefundNo=" + outRefundNo +
                "}";
    }
}